%define major 0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	A program to extract InstallShield cabinet files
Name:		unshield
Version:	0.6
Release:	%mkrel 1
License:	MIT
Group:		Networking/Other
URL:		http://synce.sourceforge.net/
Source0:	http://downloads.sourceforge.net/synce/%{name}-%{version}.tar.gz
BuildRequires:	zlib-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
Cabinet (.CAB) files are a form of archive, which is used by
the InstallShield installer software. The unshield program
simply unpacks such files.

See http://synce.sourceforge.net/ for more information.

%package -n	%{libname}
Summary:	A library to extract InstallShield cabinet files
Group:          System/Libraries

%description -n	%{libname}
Cabinet (.CAB) files are a form of archive, which is used by
the InstallShield installer software. The unshield program
simply unpacks such files.

See http://synce.sourceforge.net/ for more information.

%package -n	%{develname}
Summary:	Development library and header files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	zlib-devel
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname %{name} 0 -d}

%description -n	%{develname}
Cabinet (.CAB) files are a form of archive, which is used by
the InstallShield installer software. The unshield program
simply unpacks such files.

See http://synce.sourceforge.net/ for more information.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --with-ssl
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall_std

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog LICENSE README TODO
%{_bindir}/unshield
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%doc ChangeLog LICENSE README TODO
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Jul 22 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6-1mdv2010.0
+ Revision: 398668
- update to new version 0.6

* Thu Jul 17 2008 Adam Williamson <awilliamson@mandriva.org> 0.5.1-1mdv2009.0
+ Revision: 237742
- adjust file lists
- drop unnecessary lib%%name-devel provide
- build against system openssl
- include source location
- drop antibork.diff (no longer needed it seems)
- new release 0.5.1

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.5-3mdv2008.1
+ Revision: 140924
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 10 2007 Oden Eriksson <oeriksson@mandriva.com> 0.5-3mdv2008.0
+ Revision: 84034
- fix build
- new devel naming
- fix build


* Wed Sep 06 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-09-06 11:14:31 (60225)
- Use mkrel
- Fix bad ownship
- Remove Patch 1: not needed to compile

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 15:13:31 (43283)
- import unshield-0.5-1mdk

* Thu Jul 21 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.5-1mdk
- New release 0.5

* Thu May 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.4-4mdk
- Fix build for amd64
- %%{1}mdv2007.0

* Fri Dec 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4-3mdk
- revert latest "lib64 fixes"
- fix useless-explicit-provides

* Tue Dec 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4-2mdk
- lib64 fixes

* Tue Aug 31 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4-1mdk
- 0.4

* Sun May 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.3-1mdk
- initial cooker contrib
- used parts from the provided spec file

